@import url("https://fonts.googleapis.com/css2?family=Playpen+Sans:wght@100;200;300&display=swap");

/* reset CSS */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Playpen", sans-serif;
  scroll-behavior: smooth;
}

/* GLOBAL VARIABLES */
:root {
  --sideBarBGColor: black;
  --themeColor: DarkCyan;
  --iconBGColor: rgb(193, 190, 190);
  --bgColor: white;
  --textColor: rgb(187, 174, 174);
}

/* ---===  HEADER SECTION START ===---- */
header {
  height: 100%;
  width: 300px;
  padding: 15px 30px;
  background-color: var(--sideBarBGColor);
  overflow-y: auto;
  position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  transition: 0.7s;
  z-index: 99;
}

header .profile {
  text-align: center;
  margin: 10px 0;
}

header .profile img {
  width: 150px;
  border-radius: 50%;
  border: 2px solid var(--iconBGColor);
  transition: 0.4s;
  cursor: hand;
}
header .profile img:hover {
  width: 150px;
  border-radius: 50%;
  background-image: url(Images/avatars-000671297933-oahfkg-t500x500.jpg);
  border: 2px solid rgb(245, 46, 46);
  box-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073,
    0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
  transition: 0.4s;
  object-fit: cover;
  object-position: center;
  cursor: hand;
}

header .profile p {
  color: white;
  /* box-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073,
    0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073; */
  font-size: 24px;
  margin: 8px;
}

header .profile p span {
  color: var(--themeColor);
}

header .profile a {
  width: 30px;
  height: 30px;
  display: inline-block;
  text-align: center;
  color: white;
  border-radius: 50%;
  margin: 8px;
  border: 2px solid var(--iconBGColor);
  border-radius: 50%;
  padding: 3px;
  transition: 1s;
}

header .profile a:hover {
  box-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073,
    0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
  text-align: center;
  color: var(--themeColor);
}
/* ---===  HEADER SECTION ENDS ===---- */

/* ---===  HEADER NAVIGATION START ===---- */

header .nav {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-top: 10px;
}
header .nav li a {
  color: var(--themeColor);
  align-items: center;
  font-size: 18px;
  line-height: 50px;
  text-align: center;
  margin-right: 50px;
  text-decoration: none;
  font-size: 20px;
}
header .nav li a i {
  margin-left: 10px;
  color: white;
}
header .nav li a i:hover {
  color: var(--themeColor);
}
/* ---===  HEADER NAVIGATION ENDS ===---- */

/* ---===  HEADER FOOTER START ===---- */

footer .footer {
  text-align: center;
  color: white;
  width: 300px;
  font-size: 14px;
  letter-spacing: 0.6px;
  padding: 15px;
  position: fixed;
  bottom: 0;
  left: 0;
  transition: 0.4s;
}
/* ---===  HEADER FOOTER ENDS ===---- */

/* ---===  MOBILE RESPONSIVE ===---- */
#menuBTN {
  cursor: pointer;
  position: fixed;
  top: 25px;
  right: 25px;
  font-size: 20px;
  width: 40px;
  height: 40px;
  box-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073,
    0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
  text-align: center;
  line-height: 42px;
  border-radius: 50%;
  z-index: 999;
}

@media only screen and (max-width: 700px) {
  header {
    left: -300px;
  }
  header .footer {
    left: -300px;
  }
  #MenuBTN {
    display: block;
  }
}
/* ---===  MOBILE RESPONSIVE END ===---- */
/* ______________________________________________________________________________________ */
/* ---===  MAIN START ===---- */
main {
  margin-left: 300px;
  background-color: var(--iconBGColor);
}
@media only screen and (max-width: 700px) {
  main {
    margin-left: 0px;
  }
}
/* ---===  HOME SECTION START ===---- */
#homeSection {
  height: 100vh;
  width: 100%;
  background-image: url(Images/pexels-vincent-ma-janssen-2302802.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 70px;
}
#homeSection::before {
  content: "";
  width: 100%;
  height: 100%;
  background-color: rgb(0, 0, 0, 0.431);
  position: absolute;
  top: 0;
  left: 0;
}
#homeSection .home-raw {
  z-index: 1;
}
section div h1 {
  font-size: 60px;
  color: white;
  font-family: "Times New Roman", Times, serif;
  font-weight: 600;
  line-height: 70px;
  letter-spacing: -1px;
}
section div h1 b {
  color: var(--themeColor);
  font-size: 70px;
}
section div h3 {
  color: white;
  font-size: 30px;
  font-weight: 500;
}
section div h3 .auto-input {
  color: var(--themeColor);
  font-variant: small-caps;
  border-bottom: 2px solid var(--iconBGColor);
}

@media only screen and (max-width: 700px) {
  #homeSection {
    padding: 30px;
  }
  section div h1 {
    font-size: 35px;
    letter-spacing: 0px;
    line-height: 50px;
  }
  section div h1 b {
    display: none;
  }
  section div h3 {
    font-size: 20px;
    font-weight: 400;
  }
}
/* ---===  HOME SECTION END ===---- */

/* ---===  ABOUT SECTION START ===---- */
#about {
  padding: 70px 30px;
}
.sub-heading {
  color: white;
  font-size: 30px;
  margin-bottom: 10px;
}
.divider {
  width: 80px;
  height: 4px;
  background-color: var(--themeColor);
  border-radius: 3px;
  margin-bottom: 10px;
}
#about .divider p {
  color: var(--iconBGColor);
  font-size: 15px;
  letter-spacing: 0.4px;
  font-weight: 400;
  margin-top: 15px;
}
#about .about-col {
  display: flex;
  gap: 20px;
  margin-top: 20px;
}
#about .about-col .img-col {
  flex-basis: 35%;
  text-align: center;
}
#about .about-col .img-col img {
  width: 100%;
}
#about .about-col .img-col .information-section {
  flex-basis: 70px;
}
#about .about-col .information-section h2 {
  color: var(--themeColor);
  font-weight: 700;
  font-size: 35px;
  letter-spacing: 0.5px;
  margin-top: 10px;
  margin-bottom: 8px;
}
#about .about-col .information-section h2 b {
  color: white;
}
#about .about-col .information-section h2 span {
  border-bottom: 5px solid white;
  border-radius: 5%;
}
.info-me {
  text-decoration: underline;
  margin-bottom: 10px;
  font-size: 23px;
  font-style: italic;
  color: rgb(255, 255, 255);
}
#about .about-col .information-section .icon-list ul i {
  color: var(--themeColor);
}
/* #about .about-col .information-section .icon-list ul {
  color: var(--themeColor);  //TRYNA COLOR THE BULLET BLUE
} */
#about .about-col .information-section .icon-list ul {
  line-height: 20px;
}
/* ---===  ABOUT SECTION END  MOBILE RESPONSIVE===---- */
@media only screen and (max-width: 700px) {
  #about {
    padding: 5px 10px;
  }
  #about .divider p {
    font-size: 15px;
    letter-spacing: 0.4px;
  }
  #about .about-col {
    flex-direction: column;
  }
  #about .about-col .img-col img {
    width: 50%;
  }
  #about .about-col .information-section h2 {
    font-weight: 700;
    font-size: 25px;
    letter-spacing: 0.5px;
  }
}
/* ---===  ABOUT SECTION END ===---- */

/* ---===  FACTS SECTION START ===---- */
#facts {
  padding: 50px 30px;
  background-color: white;
}
#facts .sub-heading {
  color: var(--sideBarBGColor);
}
#facts .fact-row {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 30px;
  margin-top: 5px;
}
#facts .fact-row .fact-box i {
  color: var(--themeColor);
  font-size: 40px;
  padding-bottom: 5px;
}
#facts .fact-row .fact-box strong {
  color: var(--sideBarBGColor);
  font-size: 30px;
  margin-left: 5px;
  font-weight: 600;
}
#facts .fact-row .fact-box p {
  color: var(--textColor);
  font-weight: 500;
  font-size: 16px;
}
/* ---===  FACTS SECTION MOBILE RESPONSIVE===---- */
@media only screen and (max-width: 700px) {
  #facts {
    padding: 40px 15px;
  }
  #facts .fact-row {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
  }
}
@media only screen and (max-width: 400px) {
  #facts .fact-row .fact-box i {
    font-size: 30px;
  }
  #facts .fact-row .fact-box strong {
    font-size: 20px;
  }
  #facts .fact-row .fact-box p {
    font-weight: 400;
    font-size: 14px;
  }
}
/* ---===  FACTS SECTION END ===---- */

/* ---===  SKILL SECTION START ===---- */
#skill {
  padding: 70px 30px;
}
#skill .skill-row {
  margin-top: 35px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 20px;
}
#skill .skill-row .skill-box .skill-info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 4px;
}
#skill .skill-row .skill-box .skill-info {
  color: var(--sideBarBGColor);
  font-weight: 600;
  font-size: 15px;
  font-style: italic;
}
#skill .skill-row .skill-box .skill-outter-line {
  width: 100%;
  height: 10px;
  background-color: lightgray;
  border-radius: 15px;
}
#skill .skill-row .skill-box .skill-inner-line {
  height: 10px;
  background-color: var(--themeColor);
  border-radius: 20px;
}
@media only screen and (max-width: 650px) {
  #skill {
    padding: 50px 15px;
  }
  #skill .skill-row {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 10px;
  }
}
/* ---===  SKILL SECTION END ===---- */

/* ---===  RESUME SECTION START ===---- */
#resume {
  padding: 70px 30px;
  background-color: var(--bgColor);
}
#resume .sub-heading {
  color: var(--sideBarBGColor);
}
#resume .resume-row {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin-top: 35px;
}
#resume .resume-row .resume-col {
  flex-basis: 50%;
}
#resume .resume-row .resume-col h2 {
  color: var(--sideBarBGColor);
  font-weight: 600;
  font-size: 25px;
  margin: 15px 0;
}
#resume .resume-row .resume-col .my-info {
  padding: 0 20px 0 20px;
  margin: 20px 0;
  border-left: 2px solid var(--themeColor);
  position: relative;
}
#resume .resume-row .resume-col .my-info::before {
  content: "";
  position: absolute;
  top: 0;
  left: -10px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: 2px solid var(--themeColor);
  background-color: var(--bgColor);
}
#resume .resume-row .resume-col .my-info h3 {
  color: var(--sideBarBGColor);
  font-size: 17px;
  font-weight: 600;
  text-transform: uppercase;
}
#resume .resume-row .resume-col .my-info p {
  color: var(--textColor);
  font-size: 15px;
  font-weight: 600;
  font-style: italic;
  margin: 10px 0;
}
#resume .resume-row .resume-col .my-info ul li {
  margin: 10px 0;
  margin-left: 20px;
  color: var(--textColor);
  font-size: 15px;
  font-weight: 500;
}
#resume .resume-row .resume-col .education {
  padding: 0 20px 0 20px;
  border-left: 2px solid var(--themeColor);
  position: relative;
  color: var(--textColor);
}
#resume .resume-row .resume-col .education::before {
  content: "";
  position: absolute;
  top: 0;
  left: -10px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: 2px solid var(--themeColor);
  background-color: var(--bgColor);
}
#resume .resume-row .resume-col .sp-box {
  padding: 4px 22px;
  background-color: lightblue;
  color: var(--textColor);
  border-radius: 3px;
  font-size: 14px;
  font-weight: 600;
  font-style: italic;
  margin: 15px 0;
  display: inline-block;
}
#resume .resume-row .resume-col .education p {
  color: var(--textColor);
  font-size: 15px;
  font-weight: 500;
  font-style: italic;
  margin-bottom: 15px;
}
#resume .resume-row .resume-col .prof-experience {
  padding: 0 20px 0 20px;
  border-left: 2px solid var(--themeColor);
  position: relative;
  color: var(--textColor);
}
#resume .resume-row .resume-col h3 {
  color: var(--sideBarBGColor);
}
#resume .resume-row .resume-col .prof-experience::before {
  content: "";
  position: absolute;
  top: 0;
  left: -10px;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: 2px solid var(--themeColor);
  background-color: var(--bgColor);
}
#resume .resume-row .resume-col ul i {
  margin: 3px 0;
}
/* ---===  RESUME SECTION MOBILE RESPONSIVE===---- */
@media only screen and (max-width: 650px) {
  #resume {
    padding: 50px 15px;
  }
  #resume .resume-row {
    flex-direction: column;
  }
  #resume .resume-row .resume-col {
    flex-basis: 100%;
  }
}
/* ---===  RESUME SECTION END ===---- */

/* ---===  PORTFOLIO SECTION START ===---- */
#portfolio {
  padding: 70px 30px;
}
#portfolio .port-row {
  margin-top: 50px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 35px;
}
#portfolio .port-row .port-item {
  position: relative;
  border-radius: 10px;
  overflow: hidden;
  /* width: 190px; */
  box-shadow: 0 0 20px rgba(0, 0, 0, 20%);
}
#portfolio .port-row .port-item .port-img img {
  width: 100%;
  border-radius: 10px;
}
#portfolio .port-row .port-item .port-info {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--themeColor);
  padding: 0 15px;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  transform: scale(0);
  transition: 0.4s;
  border-radius: 10px;
  visibility: hidden;
}
#portfolio .port-row .port-item:hover .port-info {
  transform: scale(1);
  visibility: visible;
}
#portfolio .port-row .port-item .port-info h4 {
  color: var(--bgColor);
  font-size: 18px;
  font-weight: 600;
}
#portfolio .port-row .port-item .port-info p {
  color: var(--bgColor);
  font-size: 13px;
}
#portfolio .port-row .port-item .port-info a {
  /* text-emphasis: none; */
  display: inline-block;
  font-size: 20px;
  width: 45px;
  height: 45px;
  background-color: var(--bgColor);
  border-radius: 50%;
  line-height: 46px;
  transition: 0.4s;
}
#portfolio .port-row .port-item .port-info a:hover {
  background-color: var(--sideBarBGColor);
  color: var(--bgColor);
}
/* ---===  PORTFOLIO SECTION MOBILE RESPONSIVE===---- */
@media only screen and (max-width: 650px) {
  #portfolio {
    padding: 50px 10px;
  }
  #portfolio .port-row {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 15px;
  }
}
@media only screen and (max-width: 400px) {
  #portfolio .port-row {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 15px;
  }
}
/* ---===  PORTFOLIO SECTION END ===---- */

/* ---===  SERVICES SECTION START ===---- */
#services {
  padding: 70px 30px;
  background-color: var(--bgColor);
}
#services .sub-heading {
  color: var(--sideBarBGColor);
}
#services .service-row {
  margin-top: 50px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 30px;
}
#services .service-row .service-box {
  display: flex;
  gap: 20px;
}
#services .service-row .service-box .icon i {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: 2px solid var(--themeColor);
  font-size: 22px;
  line-height: 44px;
  background-color: var(--themeColor);
  color: var(--bgColor);
  transition: 0.7s;
  text-align: center;
}
#services .service-row .service-box:hover .icon i {
  color: var(--themeColor);
  background-color: var(--bgColor);
}
#services .service-row .service-box .service-info h4 {
  color: var(--sideBarBGColor);
  font-size: 20px;
  font-weight: 600;
}
#services .service-row .service-box .service-info p {
  color: var(--textColor);
  font-size: 14px;
  font-weight: 500;
}
/* ---===  SERVICES SECTION MOBILE RESPONSIVE===---- */
@media only screen and (max-width: 800px) {
  #services {
    padding: 50px 15px;
  }
  #services .service-row {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 15px;
  }
}
@media only screen and (max-width: 400px) {
  #services .service-row {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 15px;
  }
}
/* ---===  SERVICES SECTION END ===---- */

/* ---===  CONTACTS SECTION CODE START ===---- */

#contact {
  padding: 70px 30px;
}
#contact .contact-row {
  margin-top: 50px;
  display: flex;
  gap: 20px;
  width: 100%;
}
#contact .contact-row .contact-left {
  flex-basis: 40%;
  min-width: 40%;
  background-color: var(--bgColor);
  box-shadow: 0 0 20px rgb(0, 0, 0, 20%);
  border-radius: 4px;
  padding: 30px;
}
#contact .contact-row .contact-left .icon-box {
  display: flex;
  gap: 15px;
  align-items: center;
  margin: 30px 0;
}
#contact .contact-row .contact-left .icon-box .icon {
  width: 50px;
  height: 50px;
  border-radius: 50px;
  border: 2px solid var(--themeColor);
  text-align: center;
  line-height: 47px;
  font-size: 20px;
  color: var(--themeColor);
  transition: 0.5s;
}
#contact .contact-row .contact-left .icon-box .icon i {
  width: 50px;
  height: 50px;
  border-radius: 2px solid var(--themeColor);
  text-align: center;
  font-size: 20px;
  color: var(--themeColor);
  transition: 0.5s;
}
#contact .contact-row .contact-left .icon-box:hover .icon {
  background-color: var(--themeColor);
  color: var(--bgColor);
}
#contact .contact-row .contact-left .icon-box .icon i:hover {
  color: white;
  transition: 0.4s;
}
#contact .contact-row .contact-left .icon-box .info h4 {
  font-size: 20px;
  color: var(--sideBarBGColor);
  font-weight: 600;
}
#contact .contact-row .contact-left .icon-box .info p {
  color: var(--textColor);
  font-size: 15px;
  font-weight: 500;
}
#contact .contact-row .contact-right {
  flex-basis: 60%;
  min-width: 60%;
  background-color: var(--bgColor);
  box-shadow: 0 0 20px rgba(0, 0, 0, 20%);
  border-radius: 4px;
  padding: 30px;
}
#contact .contact-row .contact-right form {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin: 20px 0;
}
#contact .contact-row .contact-right form input,
#contact .contact-row .contact-right form textarea {
  width: 100%;
  font-size: 15px;
  font-weight: 500;
  color: var(--textColor);
  padding: 10px 20px;
  border: 2px solid lightgrey;
  border-radius: 2px;
  outline: none;
  resize: nono;
  transition: 0.5s;
}
#contact .contact-row .contact-right form input:focus,
#contact .contact-row .contact-right form textarea:focus {
  border-color: var(--themeColor);
}
#contact .contact-row .contact-right form input[type="submit"] {
  background-color: var(--themeColor);
  color: var(--bgColor);
  border: 2px solid var(--themeColor);
  font-size: 17px;
  font-weight: 400;
  cursor: pointer;
}
/* ---===  CONTACTS SECTION MOBILE RESPONSIVE===---- */
@media only screen and (max-width: 800px) {
  #contact {
    padding: 50px;
  }
  #contact .contact-row {
    flex-direction: column;
    gap: 10px;
  }
}
@media only screen and (max-width: 500px) {
  #contact {
    padding: 50px 10px;
  }
}

/* ---===  CONTACTS SECTION CODE END ===---- */

/* ---===  HEADER MAIN END ===---- */

/* ---===  FOOTER CODE END ===---- */
footer .footer a {
  color: var(--themeColor);
}
